//*************************
//** LAYOUT
//*************************

// Default body color and background
body {
    background: $white; // fallback
    color: $grayer;
}

// Main
.master {
    background: $white;
}

// Secondary panel
.menu-secondary {
    background: $mass-white;
}

// Tertiary panel
.menu-tertiary {
    background-color: $primary-dark;
}

// Extra bar panel
.extrabar {
    background: $mass-white;
}



// Titles
h1,
h2,
h3,
h4,
h5,
h6 {
    color: $blackish;
}

a {
    color: $grayer;
    &:hover {
        color: $primary;
    }
}

//**************************
//** SCAFFOLDING
//**************************

//Forms
input[type="text"],
input[type="number"],
input[type="password"],
input[type="url"],
input[type="email"],
input[type="date"],
input[type="password"],
select,
textarea {
    background: $mass-white;
    border-color: $gray-light;
    color: $grayer;
    @include placeholder {
        color: lighten($gray-light, 10%);
    }
    &.checksley-error {
        border: 1px solid $red;
    }
}


// Input errors
.checksley-error-list {
    @include font-type(light);
    background: rgba($red, .7);
    color: $white;
}

// Blockquote
blockquote {
    border-left: 5px solid $mass-white;
}

blockquote,
blockquote p {
    color: $gray;
}

cite {
    color: $gray;
}


.summary {
    background: $grayer;
    color: $white;
}


//************************
//** NAVIGATION
//***********************

// Top navigation bar
.navbar {
    background: rgba($black, 0);
    &::after {
        background: url('../images/menu-vertical.png') repeat top left;
    }
}

//In project left navigation bar
tg-project-menu {
    background-color: $primary-dark;
    background-image: url('../images/menu-horizontal.png');
}

.main-nav {
    svg {
        fill: $white;
    }
}

$dropdown-width: 350px;

.navbar {
    display: flex;
    height: $navbar;
    justify-content: space-between;
    position: relative;
    &::after {
        background-size: 200%;
        bottom: 0;
        content: '';
        height: 100%;
        left: 0;
        position: absolute;
        right: 0;
        top: 0;
        z-index: -1;
    }
    .nav-left,
    .nav-right {
        align-content: center;
        align-items: center;
        display: flex;
    }
    .nav-left {
        a {
            color: $white;
            padding: .5rem 1.5rem;
        }
        .logo {
            background: rgba($black, .2);
            padding: .3rem .75rem;
        }
        svg {
            @include svg-size(1.6rem);
        }
    }
    .nav-right {
        margin-left: auto;
        > a,
        .topnav-dropdown-wrapper > a {
            color: $white;
            margin: 0;
            padding: .5rem 2rem;
        }
        .active {
            background: rgba($white, .95);
            color: $secondary-dark;
            svg {
                fill: rgba($secondary-dark, 1);
            }
        }
        svg {
            @include svg-size(1.2rem);
            fill: rgba($primary-lighter, 1);
            transition: all .2s linear;
        }
    }
    .nav-right > a,
    .topnav-dropdown-wrapper > a {
        color: $white;
        display: inline-block;
        transition: all .2s linear;
        &:hover {
            background: rgba($black, .2);
            color: $primary-light;
            svg {
                fill: $primary-light;
                transition: all .2s linear;
            }
        }
        &.user-avatar {
            min-width: 200px;
            padding: 0;
            padding-left: 2rem;
            text-align: right;
            span {
                padding-right: 1rem;
            }
        }

    }
    .user-avatar img {
        height: 2.5rem;
        margin-left: .5rem;
        vertical-align: middle;
    }
    .topnav-dropdown-wrapper {
        position: relative;
        &:hover {
            .navbar-dropdown {
                animation: dropdownFade .2s cubic-bezier(.09, 0, .99, .01) both;
                display: block;
            }
        }
    }
    .navbar-dropdown {
        a {
            padding: .8rem .5rem;
        }
    }
    %dropdown {
        border-radius: 2px;
        display: none;
        left: calc(50% - #{$dropdown-width}/2);
        min-width: $dropdown-width;
        position: absolute;
        top: 2.4rem;
        z-index: 999;
    }
}

.navbar-dropdown {
    background: $blackish;
    border: 1px solid $black;
    .plugin {
        &:hover {
            .new {
                color: $white;
            }
        }
        .new {
            background: $red-light;
            padding: .1rem .25rem;
        }
    }
    a {
        color: $whitish;
        display: block;
        padding: .8rem .5rem;
        &:hover {
            background: rgba($white, .1);
            color: $primary-light;
        }
        &.see-more-projects-btn,
        &.create-organization-btn,
        &.create-project-btn {
            color: $white;
            text-align: center;
            &:hover {
                color: $white;
            }
        }
        &.see-more-projects-btn {
            margin-bottom: .3rem;
        }
        &.create-project-btn {
            flex: 1;
        }
        &.blocked-project {
            color: $gray;
            svg {
                margin-left: .5rem;
                position: relative;
                top: .25rem;
            }
        }
    }
    .create-options {
        display: flex;
        flex-direction: row;
    }
}


@keyframes highlightFadeOut {
    0% {
        background: $primary-light;
        font-size: .75rem;
        height: 22px;
        left: 49px;
        line-height: 22px;
        top: -1px;
        width: 22px;
    }
    20% {
        font-size: .7rem;
        height: 20px;
        left: 50px;
        line-height: 20px;
        top: 0;
        width: 20px;
    }
    100% {
        background: $primary;
    }
}


.topnav-dropdown-wrapper {
    position: relative;
    &:hover {
        .navbar-dropdown-notifications {
            animation: dropdownFade .2s cubic-bezier(.09, 0, .99, .01) both;
            display: block;
        }
    }
    .counter {
        background: $white;
        border-radius: 50%;
        color: $primary;
        font-size: .7rem;
        height: 18px;
        left: 52px;
        line-height: 18px;
        position: absolute;
        text-align: center;
        top: 3px;
        width: 18px;
        &.small {
            height: 17px;
            line-height: 17px;
            width: 17px;
        }
        &.large {
            height: 22px;
            line-height: 22px;
            top: 2px;
            width: 22px;
        }
        &.counter-active {
            animation-duration: 2s;
            animation-name: highlightFadeOut;
        }
    }
    .navbar-dropdown-notifications {
        $width: 450px;
        background: $white;
        border: 1px solid $whitish;
        border-radius: 2px;
        box-shadow: 0 0 3px 3px rgba($gray-lighter, .2);
        color: $blackish;
        display: none;
        left: calc(50% - 450px/2);
        margin-top: 1px;
        min-width: 450px;
        padding: 0;
        position: absolute;
        top: 2.4rem;
        z-index: 999;

        .empty {
            color: $gray-light;
            font-size: .9em;
            padding: 1.5em 0;
            text-align: center;
            width: 100%;
        }
        .header {
            @include arrow('bottom', $mass-white, $mass-white, 1, 8);
            background: $mass-white;
            color: $gray;
            display: flex;
            flex-direction: row;
            padding: .6rem .75rem;
            .notifications-title {
                flex-grow: 1;
                text-transform: uppercase;
            }
        }
        .action {
            font-size: .9rem;
            padding-left: 1.2rem;
            text-align: right;
            &.disabled {
                color: $gray-lighter;
                cursor: default;
            }
            &:not(.disabled) {
                color: $primary;
            }
            &:not(.disabled):hover {
                color: $primary-light;
            }
        }
        .notifications-wrapper {
            min-height: 70px;
        }
        .notifications-list {
            max-height: 400px;
            overflow-y: auto;
        }
    }
}


//*****************************
//** TASKBOARD
//******************************

//Loader
.loading-bar {
    align-items: stretch;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    .item {
        animation-duration: 5s;
        animation-iteration-count: infinite;
        animation-name: loadBar;
        animation-timing-function: ease-in;
        background: $gray;
        flex: 1;
        height: 5px;
    }

    $colors-list: $primary $white $primary $white $primary;
    @each $current-color in $colors-list {
        $i: index($colors-list, $current-color) - 1;
        .item-#{$i} {
            animation-delay: #{$i}s;
            background: $current-color;
        }
    }
}


// estimation
@mixin estimation {
    .points-per-role {
        display: flex;
        flex-direction: column;
    }
    .ticket-role-points {
        background: rgba($gray-light, .2);
        color: $gray-light;
        display: flex;
        flex: 1;
        justify-content: space-between;
        margin-bottom: .1rem;
        min-height: 2rem;
        padding: .5rem 1rem;
        position: relative;
        &.clickable {
            &:hover,
            &.active {
                background: rgba($primary-light, .9);
                color: $whitish;
                .points,
                .role,
                .icon-arrow-bottom {
                    color: currentColor;
                    fill: currentColor;
                }
            }
        }
        &:last-child {
            background: rgba($primary-dark, 1);
            border-bottom: 0;
            color: $whitish;
            .points,
            .role,
            .icon-arrow-bottom {
                @include font-type(text);
                color: currentColor;
                fill: currentColor;
            }
        }
        .icon-arrow-down {
            fill: currentColor;
            height: .6rem;
            margin-left: .25rem;
            width: .6rem;
        }
        .points {
            @include font-type(light);
            color: $grayer;
        }
        .role {
            @include font-type(light);
        }
    }
    .popover {
        @include popover(200px, $top: 100%, $left: .5rem, $arrow-width: 10px, $arrow-top: -5px, $arrow-left: 10px, $arrow-height: 10px);
        li {
            display: inline-block;
            width: 23%;
        }
        a {
            display: block;
            text-align: center;
            &:hover,
            &.active {
                background: $primary-light;
                color: $white;
            }
        }
        &.fix {
            @include popover(200px, $top: 100%, $left: -160px, $arrow-width: 10px, $arrow-top: -5px, $arrow-left: 90%, $arrow-height: 10px);
        }
    }
}

.ticket-estimation {
    @include estimation;
}



//Taskboard table
.taskboard-table-header {
    .task-colum-name {
        background: $mass-white;
        border-top: 3px solid $gray-light;
        .icon {
            fill: $gray-light;
        }
    }
}
.taskboard-table-body {
    .taskboard-cards-box {
        background: $mass-white;
    }
}

// background page
@mixin triangled-bg {
    background: url('../images/bg_page.png') no-repeat center center;
    background-size: cover;
}

@mixin background-taiga {
    background: url('../images/error_bg.png') no-repeat center center;
    background-size: cover;
}

.auth {
    @include triangled-bg;

    .logo-svg {
        text-align: center;
        width: 100%;
        svg {
            height: auto;
            width: 12rem;
            margin: 3rem auto;
        }
    }

    .logo, .tagline {
        display: none;
    }
    a {
        &:hover {
            color: $primary;
        }
    }
}

.error-main {
    @include background-taiga;
}


//*****************************
//** KANBAN
//******************************

//Kanban table
.kanban-table-header {
    .task-colum-name {
        background: $mass-white;
        border-top: 3px solid $gray-light;
        .icon {
            color: $gray-light;
        }
    }
}

.kanban-table-body {
    .kanban-uses-box {
        background: $mass-white;
    }
}
